[Unit]
Description=Create 'rke' user and add to docker group
After=network.target

[Service]
Type=oneshot
ExecStart=/usr/libexec/rke2/create_rke_user.sh

# Mask the service after successful execution
ExecStartPost=-/bin/systemctl mask create_rke_user.service

[Install]
WantedBy=multi-user.target

